Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Reservations
  • Introduction
  • Customers
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Off Days
    • index
      GET
  • Reservation Payments
    • Activate or deactivate a payment request
      PATCH
    • Create a new payment request for a reservation
      POST
    • Update an existing payment request
      PATCH
    • Reactivate an expired or cancelled payment request
      PATCH
  • Reservation Requests
    • approve
      PATCH
    • create
      POST
    • index
      GET
    • reject
      PATCH
    • update
      PATCH
  • Reservations
    • check-in
      PATCH
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Revenue Centers
    • index
      GET
  • Reviews
    • index
      GET
  • Stores
    • show
      GET
  • Tables
    • index
  • Online Reservation Requests
    • request-slot-hours
    • request-slots-availability
    • request-unavailable-dates
  • Online Reservations
    • slot-hours
    • slots-availability
    • unavailable-dates
  1. Reservations

index

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
GET
/v1/reservations

Request

Authorization
API Key
Add parameter in header
CheckandPlace-Access-Token
Example:
CheckandPlace-Access-Token: ********************
or
Query Params

Responses

🟢200
application/json
successful
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.checkandplace.com/v1/reservations?type=undefined&revenue_center_id=undefined&phone_number=undefined&statuses=undefined&start_date=2024-05-06%2021%3A00&end_date=2024-05-06%2021%3A00&page=1&per_page=50' \
--header 'CheckandPlace-Access-Token: <api-key>'
Response Response Example
{
    "reservations": [
        {
            "id": "a9ef4d8c-cc8a-4621-8c0c-d9f9392ba9db",
            "type": "reservation",
            "status": "init",
            "date": "2024-05-06T21:00:00+03:00",
            "estimated_discharged_at": "2024-05-06T23:00:00+03:00",
            "discharged_at": null,
            "created_at": "2024-05-06T18:00:00+03:00",
            "assigned_at": null,
            "guest_count": 4,
            "occupied_seat_count": 0,
            "male_cover": 0,
            "female_cover": 0,
            "child_cover": 0,
            "note": null,
            "hotel_room_number": "101",
            "revenue_center_id": "89646b83-9568-48b7-b20e-776e92fb9542",
            "child_revenue_center_id": null,
            "store_id": "e98cc465-2624-492a-a8e9-d24e7e2060f5",
            "table_id": "dc7a6076-aeb9-49c7-ab44-960e3b497c96",
            "table_ids": [
                "5d94c0e3-e863-4569-bd8e-48d68a5eb1b3"
            ],
            "table_names": "T1",
            "customer": {
                "id": "96b8dfc3-3f20-4b51-a7ee-39f9c4a05521",
                "first_name": "John",
                "last_name": "Doe",
                "type_name": "normal"
            },
            "check": null,
            "reservation_payment": null,
            "public_url": "https://app.checkandplace.com/public/voucher?slug=abc123&language=en"
        }
    ],
    "page_information": {
        "has_next_page": false,
        "current_page": 1,
        "total_count": 1,
        "page_count": 1
    }
}
Modified at 2026-05-06 13:06:45
Previous
create
Next
update
Built with